* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
    border: none;
}

:root {
    --bg-color: #f7f7f7;
    --second-bg-color: #eaeaea;
    --text-color: #3f3844;
    --main-color: #ff5733;
    --other-color: #5d6c83;
}

html {
    font-size: 62.5%;
    overflow-x: hidden;
}

body {
    background-color: var(--bg-color);
    color: var(--text-color);
    font-size: 1.6rem;
    font-family: "AR One Sans", sans-serif;
}

@media (max-width: 768px) {
    body {
        font-size: 1.4rem;
    }
}

section {
    min-height: 100vh;
    padding: 10rem 10% 2rem;
}

@media (max-width: 768px) {

    section {
        min-height: auto;
        padding: 11rem 3% 2rem;
    }
}

/*  Utilidades
==================================== */

.heading {
    font-size: 4.5rem;
    text-align: center;
}

.heading-description {
    font-size: 1.8rem;
    margin-bottom: 3rem;
    text-align: center;
}

span {
    color: var(--main-color);
}

@media (max-width: 768px) {
    .heading {
        font-size: 3rem;
    }

    .heading-description {
        font-size: 1.4rem;
    }
}

/* Header
==================================== */

.header {
    position: fixed;
    width: 100%;
    top: 0;
    left: 0;
    z-index: 100;

    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 2rem 10%;
    background-color: var(--bg-color);
    box-shadow: 0 1px .3rem var(--text-color);
}

@media (max-width: 768px) {
    .header {
        flex-direction: column;
        padding: 1rem 2%;
    }
}

.logo {
    font-size: 2.5rem;
    color: var(--main-color);
    font-weight: 700;
    transition-duration: .5s;
}

@media (max-width: 768px) {
    .logo {
        font-size: 3.5rem;
        margin-bottom: 1rem;
    }
}

.logo:hover {
    transform: scale(1.05)
}

.navbar {
    display: flex;
    gap: 1.5rem;
}

.navbar a {
    color: var(--text-color);
    font-weight: 600;
    transition: .3s ease;
    border-bottom: .2rem solid transparent;
    text-transform: uppercase;
}

@media (max-width: 768px) {
    .navbar {
        gap: 1rem;
    }
    .navbar a {
        font-size: 1.2rem;
    }
}

.navbar a:hover,
.navbar a.active {
    border-bottom-color: var(--main-color);
    color: var(--main-color);
}

/*       Home
==================================== */

.home {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    background-image: url(../images/home-img.png);
    background-repeat: no-repeat;
    background-size: cover;
}

.home-content {
    width: 60%;
    margin-left: 5rem;
    padding: 6rem 2rem;
    background-color: rgba(247, 247, 247, 0.9);
    border: .2rem solid var(--main-color);
    border-radius: 2rem;
}

@media (max-width: 1200px) {
    .home {
        justify-content: center;
        background-color: var(--bg-color);
        background-image: none;
    }

    .home-content {
        width: 100%;
        padding: 0;
        margin-left: 0;
        border: none;
        text-align: center;
    }
}

.home-content h1 {
    font-size: 5rem;
    font-weight: 700;
    line-height: 1.3;
}

.home-content h3 {
    font-size: 3.5rem;
    font-weight: 700;
    margin-bottom: 2rem;
}

.home-content p {
    font-size: 1.8rem;
    margin-bottom: 2rem;
}

@media (max-width: 768px) {

    .home-content {
        font-size: 3rem;
    }

    .home-content h3 {
        font-size: 2.5rem;
    }

    .home-content p {
        font-size: 1.6rem;
    }
}

/*   Redes Sociales
==================================== */

.social-media a {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 4.2rem;
    height: 4.2rem;
    border: .2rem solid var(--main-color);
    border-radius: 50%;
    font-size: 2rem;
    color: var(--main-color);
    margin: 3rem 1.5rem 3rem 0;
    transition: .3s ease;
}

.social-media a:hover {
    transform: scale(1.2) translateY(-1rem);
    background-color: var(--main-color);
    color: var(--bg-color);
    box-shadow: 0 0 2.5rem var(--main-color);
}

.btn,
.btn-ws {
    display: inline-block;
    padding: 1rem 2.8rem;
    margin: 1rem 3rem 1rem 0;
    background-color: var(--main-color);
    border-radius: 4rem;
    font-size: 2rem;
    color: var(--bg-color);
    font-weight: 400;
    transition: .3s ease;
}

.btn-ws {
    display: inline-flex;
    align-items: center;
    background-color: green;
}

.btn-ws i {
    font-size: 2.5rem;
    padding-right: .7rem;
}

.btn-ws p {
    margin: 0;
    border-left: .2rem solid var(--bg-color);
    padding-left: .7rem;
}

.btn:hover{
    box-shadow: 0 0 1.6rem var(--main-color);
    transform: scale(1.1);
}

.btn-ws:hover {
    box-shadow: 0 0 1.6rem green;
    transform: scale(1.1);
}

/*    About
================================*/

.about {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--second-bg-color);
}

.about .heading {
    text-align: start;
}

.about-img img {
    width: 30vw;
    border: .2rem solid var(--main-color);
    border-radius: 50%;
    box-shadow: 0 0 2.5rem var(--main-color);
    cursor: pointer;
    transition: .4s ease;
    animation: floatImage 4s ease-in-out infinite;
}

@media (max-width: 1200px) {
    .about {
        flex-direction: column;
    }

    .about .heading {
        text-align: center;
    }
}

@media (max-width: 768px) {
    .about h3 {
        font-size: 2.5rem;
    }
}

@media (max-width: 1200px) {
    
    .about-img {
        text-align: center;
    }

    .about-img img {
        order: 1;
        animation: none;
    }
}

@media (max-width: 992px) {
    .about img {
        width: 50%;
    }
}

@media (max-width: 768px) {
    .about img {
        width: 60%;
    }
}

.about-img img:hover {
    box-shadow: 0 0 2.5rem var(--main-color),
                0 0 3.5rem var(--main-color),
                0 0 4.5rem var(--main-color);
}

@keyframes floatImage {
    0% {
        transform: translateY(0);
    }

    50% {
        transform: translateY(-2.4rem);
    }

    100% {
        transform: translateY(0);
    }
}

.about-content {
    padding: 0 4rem;
}

@media (max-width: 1200px) {
    .about-content {
        order: 2;
        text-align: center;
        padding: 0 1rem;
    }
}

.about-content h2 {
    line-height: 1.2;
}

.about-content h3 {
    font-size: 3rem;
}

.about-content p {
    margin: 2rem 0 3rem;
}

/*    Skills
================================================== */


.skills h3 {
    display: inline-flex;
    margin-bottom: 2rem;
    border-bottom: .2rem solid var(--main-color);
}

.content-skills {
    display: flex;
    flex-wrap: wrap;
    gap: 2rem;
    text-align: center;
}

.item-skill span,
.item-skill i {
    display: block;
    color: var(--text-color);
    font-weight: 500;
}

.item-skill {
    padding: 1rem;
}

.item-skill i {
    font-size: 5rem;
}

/*        Servicios
================================= */

.services h2 {
    margin-bottom: 2rem;
}

.service-content {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: stretch;
    gap: 2rem;
}

.service-item {
    flex: 1 1 30rem;
    background-color: var(--second-bg-color);
    padding: 6rem 2rem 6rem;
    border-radius: 2rem;
    box-shadow: 0 0 .5rem var(--main-color);
    transition: all .5s ease;
}

.service-item:hover {
    outline: .1rem solid var(--main-color);
    cursor: pointer;
    transform: translateY(-.5rem) scale(1.02);
}

.service-item i {
    font-size: 6rem;
    color: var(--main-color);
}

.service-item h3 {
    font-size: 3rem;
    font-weight: 700;
    margin: 1rem 0
}

.service-item p {
    margin:  1rem 0;
}

.btn-now {
    display: inline-block;
    font-size: 2.2rem;
    line-height: 1.2rem;
    font-weight: 700;
    padding: .7rem 0;
    color: var(--text-color);
    border-bottom: .2rem solid var(--other-color);
}

.btn-now i {
    vertical-align: middle;
    font-size: 2.5rem;
    margin-left: .5rem;
}

.btn-now:hover {
    border-bottom-color: var(--main-color);
}

/*     Portfolio 
==========================*/

.portfolio {
    background-color: var(--second-bg-color);
}

.portfolio-content {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    gap: 4rem;
    margin-top: 4rem;
}

.portfolio-item {
    flex: 1 1 30rem;
    background-color: var(--bg-color);
    border-radius: 1rem;
    border: .1rem solid transparent;
    padding: 2rem;
    box-shadow: 0 0 .5rem var(--main-color);
    transition: all .5s ease;
}

.portfolio-item:hover {
    outline: .1rem solid var(--main-color);
    cursor: pointer;
    transform: translateY(-.5rem) scale(1.02);
}

.portfolio-item img{
    display: inline-block;
    height: auto;
    width: 100%;
    border-radius:  1rem;
    margin-bottom: 1rem;
}

.portfolio-header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: .5rem;
}

.portfolio-header h4 {
    font-size: 2rem;
    font-weight: 700;
    margin-bottom: 1rem;
    line-height: 1.4;
}

.portfolio-header a {
    display: inline-flex;
    font-size: 2.5rem;
    border-radius: 50%;
    padding: .5rem;
    color: var(--text-color);
    background-color: var(--main-color);
    transition: .3s ease;
}

.portfolio-header a:hover {
    color: var(--main-color);
    background-color: var(--text-color);
}

.portfolio-item p {
    margin-bottom: 2rem;
}

/*    Contacto
===================================================== */

.contact {
    background-color: var(--bg-color);
    text-align: center;
}

.contact-content {
    display: flex;
    gap: 6rem;
    padding: 3rem 0;
}

.img-contact {
    width: 50%;
}
.img-contact img {
    width: 100%;
    height: 58rem;
}

.contact form {
    width: 50%;
    margin: 1rem auto;
    display: flex;
    flex-direction: column;
    justify-content: center;
    border-radius: 2rem;
    border: .2rem solid var(--main-color);
    padding: 3rem;
    transition: all.3s  ease;
}

.contact form:hover {
    transform: scale(1.03);
    cursor: pointer;
}

@media (max-width: 1200px) {
    .contact form {
        width: 50%;
    }
}
@media (max-width: 992px) {
    .img-contact {
        display: none;
    }

    .contact form {
        width: 100%;
    }
}

form input,
form textarea {
    width: 100%;
    padding: 1.5rem;
    font-size: 1.6rem;
    color: var(--text-color);
    background-color: var(--second-bg-color);
    border-bottom: .25rem solid var(--main-color);
    border-radius: .8rem .8rem 0 0;
    margin: .7rem 0;
}

form textarea {
    margin-bottom: 2rem;
}

.btn-submit {
    display: flex;
    justify-content: center;
}

.btn-submit .btn {
    width: auto;
    cursor: pointer;
}

form input:focus,
form textarea:focus {
    outline: none;
    box-shadow: 0 0.2rem 0.2rem -0.1rem var(--main-color);
}

/*    Footer
===========================================*/

.footer {
    background-color: var(--second-bg-color);
    padding: 40px 0;
    text-align: center;
    border-top: 0.2rem solid var(--main-color);
}

.footer-content {
    display: flex;
    align-items: center;
    justify-content: space-around;
}

.arrow a {
    display: inline-flex;
    color: var(--main-color);
    border: 0.2rem solid var(--main-color);
    font-size: 3rem;
    padding: 1rem;
    border-radius: 2rem;
    transition: 0.3s ease;
}

.arrow a:hover {
    box-shadow:  0 0 2.5rem var(--main-color);
    transform: scale(1.1) translateY(-1rem);
}

.footer p {
    color: var(--text-color);
}


